%define anolis_release 1
%global fontname adobe-source-code-pro
%global fontconf 61-%{fontname}.conf

%global version_roman  2.038
%global version_italic 1.058
%global version_var 1.018

Name:           %{fontname}-fonts
Version:        %{version_roman}.%{version_italic}.%{version_var}
Release:        %{anolis_release}%{?dist}
Summary:        A set of mono-spaced OpenType fonts designed for coding environments

License:        OFL
URL:            https://github.com/adobe-fonts/source-code-pro
Source0:        %{url}/archive/refs/tags/%{version_roman}R-ro/%{version_italic}R-it/%{version_var}R-VAR.tar.gz
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
This font was designed by Paul D. Hunt as a companion to Source Sans. It has
the same weight range as the corresponding Source Sans design.  It supports
a wide range of languages using the Latin script, and includes all the
characters in the Adobe Latin 4 glyph set.


%prep
%setup -qn source-code-pro-%{version_roman}R-ro-%{version_italic}R-it-%{version_var}R-VAR
sed -i 's/\r//' LICENSE.md
chmod 644 LICENSE.md

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p OTF/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%{_datadir}/appdata/%{fontname}.metainfo.xml

%doc README.md
%license LICENSE.md

%changelog
* Tue Apr 12 2022 yuan hui <yuanhui@linux.alibaba.com> - 2.038.1.058-1
- Init adobe-source-code-pro-fonts for AnolisOS 23
